<%@page pageEncoding="ISO-8859-1" contentType="text/html; charset=ISO-8859-1"%>
<%@page import="w83b.w83bUtilidadesComunes.W83bClsConstantes"%>
<%@page import="w83b.w83bDAO.w83bConstantesBD.W83bCentroTrabajoVistaBD"%>

<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean" %>

<%@ page import="es.ejie.frmk.listeners.base.Q70ListenerUtils" %>
<%@ page import="w83b.w83bUtilidadesComunes.W83bClsConstantes" %>

<%@ page import="es.ejie.frmk.infraestructura.internacionalizacion.Q70GestorMensajesi18n" %>
<%@page import="w83b.w83bDAO.w83bConstantesBD.W83bProvinciasBD"%>

<bean:define id="strIdioma" type="java.lang.String" name="contexto" property="<%=W83bClsConstantes.CONSTANTE_CONTEXTO_IDIOMA%>"/>
<%	
String whereNuevoActas = W83bProvinciasBD.codComunidAuto + "="+ W83bClsConstantes.CONSTANTE_CAV + " UNION ALL SELECT * FROM  "+W83bProvinciasBD.provinciasTable+"  WHERE "+W83bProvinciasBD.codComunidAuto+"<>"+ W83bClsConstantes.CONSTANTE_CAV;	
String versionjs= Q70ListenerUtils.getApplicationProperty("versionjs");
%>

<script type="text/javascript">
var whereNuevoActas = '<%= whereNuevoActas%>';
var fechanoValida = '<html:message i18nKey="w83brecursosErrores" key="error.mensaje.fechanoValida"/>';

var codFechaBajaNoValida = '<html:message i18nKey="w83brecursosErrores" key="error.mensaje.fechaBajanoValida"/>';
var codFechaUltimaActualizacionNoValida = '<html:message i18nKey="w83brecursosErrores" key="error.mensaje.fechaUltimanoValida"/>';

var	literalSectorNoExiste='<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.invalid",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.centroTrabajo.sector",strIdioma.toString())
						}) %>';
var	literalMotivoBajaNoExiste='<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.invalid",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.centroTrabajo.motivoBaja",strIdioma.toString())
						}) %>';
var	literalRegJuridicoNoExiste='<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.invalid",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.centroTrabajo.regJur",strIdioma.toString())
						}) %>';


var cifNifObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.centroTrabajo.cifNif",strIdioma.toString())
						}) %>';
var nCentroObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.nCentro",strIdioma.toString())
						}) %>';
var razonSocialObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.centroTrabajo.nombre",strIdioma.toString())
						}) %>';
var provinciaObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.centroTrabajo.provincia",strIdioma.toString())
						}) %>';
var municipioObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.centroTrabajo.municipio",strIdioma.toString())
						}) %>';
var codPostalObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.centroTrabajo.codPostal",strIdioma.toString())
						}) %>';
var provinciaFiscalObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.centroTrabajo.provinciaFiscal",strIdioma.toString())
						}) %>';
var municipioFiscalObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.centroTrabajo.municipioFiscal",strIdioma.toString())
						}) %>';
var codPostalFiscalObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.centroTrabajo.codPostalFiscal",strIdioma.toString())
						}) %>';
var codSectorObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.centroTrabajo.sector",strIdioma.toString())
						}) %>';
var codCnaeObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.centroTrabajo.cnae",strIdioma.toString())
						}) %>';
var regJurObligatorio = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.centroTrabajo.regJur",strIdioma.toString())
						}) %>';
var nifErroneo = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.nifErroneo",strIdioma.toString(),null
						) %>';
var nieErroneo = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.nieErroneo",strIdioma.toString(),null
						) %>';
var cifErroneo = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.cifErroneo",strIdioma.toString(),null
						) %>';
var cifrepetido = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.cifRepetido",strIdioma.toString(),null
						) %>';
var numInternoRepetido = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.numInternoRepetido",strIdioma.toString(),null
						) %>';
var bdActualizadaOk = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.mensaje.bdActualizadaOk",strIdioma.toString(),null
						) %>';
var baseDatosLlena = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.baseDatosLlena",strIdioma.toString(),null
						) %>';
var cnaeAyuda = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.centroTrabajo.cnaeAyuda",strIdioma.toString(),null
						) %>';
var codPostalProvinciaNoValido = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.codPostalProvinciaNoValido",strIdioma.toString(),null
						) %>';
var codPostalFiscalProvinciaNoValido = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.codPostalFiscalProvinciaNoValido",strIdioma.toString(),null
						) %>';
var	codPostalInvalido='<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.invalid",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.centroTrabajo.codPostal",strIdioma.toString())
						}) %>';
var	codPostalFiscalInvalido='<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.invalid",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.centroTrabajo.codPostalFiscal",strIdioma.toString())
						}) %>';
var cnaeErroneo = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.invalid",strIdioma.toString(),new String[]{
					Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.centroTrabajo.cnae",strIdioma.toString())
					}) %>';
						
var cteCIF = "<%=W83bClsConstantes.CONSTANTE_CIF %>"; 
var cteNIF = "<%=W83bClsConstantes.CONSTANTE_NIF %>"; 
var cteOtros = "<%=W83bClsConstantes.CONSTANTE_OTROS %>"; 

var ctePersonal = "<%=W83bClsConstantes.REGISTRO_JURIDICO_PERSONAL %>";
var cteOtros = "<%=W83bClsConstantes.REGISTRO_JURIDICO_OTROS %>";

var listaCnaeCargado = false;

</script>